\name{plot.safimodel}
\alias{plot.safimodel}

%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Plotting SAFI model coefficients
}
\description{
Barplots of the functional sensitivities from a \code{safimodel} object. 
}
\usage{
\method{plot}{safimodel}(x, ylim = NULL, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{
\code{safimodel} object
}
  \item{ylim}{
limits for the y-axis. If \code{NULL}, limits are computed internally.
}
  \item{\dots}{
optional graphical parameters
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
One plot for each functional input.
}
\references{
Fruth, J.; Roustant, O.; Kuhnt, S. (2014) Sequential designs for sensitivity analysis of functional inputs in computer experiments, \emph{Reliability Engineering & System Safety}, accepted.
}
\author{
%%  ~~who you are~~
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

# simple example

s.d <- createSafiDesign()
s.d2 <- splitSafiDesign(s.d ,list(c(0.25,0.75)))
s.m <- safiModel(s.d2, y= seq(from = 0.1, to = 0.4, by=0.1))
plot(s.m)

# d.f=3, mirrored

s.d <- createSafiDesign(d.f=3, mirrored.runs.included = TRUE)
s.d2 <- splitSafiDesign(s.d ,list(c(0.5),c(0.25,0.75), c(0.25,0.5,0.75)))
s.m <- safiModel(s.d2, y= seq(from = 0.1, to = 1.8, by=0.1))
plot(s.m)

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
