\name{safiModel}
\alias{safiModel}

\title{
Functional sensitivity analysis
}
\description{
computes normalized regression indices for the sensitivity analysis of functional inputs
}
\usage{
safiModel(s.d, y)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{s.d}{
\code{safidesign}-object
}
  \item{y}{
model response
}

}
\details{
If the design was created with method \code{"SB"} the coefficients are computed via sequential bifurcation, for method \code{"other"} via least squares estimation.
}
\value{
\code{safimodel} object containing the design and the computed coefficients
}
\references{
Fruth, J.; Roustant, O.; Kuhnt, S. (2014) Sequential designs for sensitivity analysis of functional inputs in computer experiments, \emph{Reliability Engineering & System Safety}, accepted.
}
\author{
%%  ~~who you are~~
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

# simple example

s.d <- createSafiDesign()
s.d2 <- splitSafiDesign(s.d ,list(c(0.25,0.75)))
s.m <- safiModel(s.d2, y= seq(from = 0.1, to = 0.4, by=0.1))
plot(s.m)

# d.f=3, mirrored

s.d <- createSafiDesign(d.f=3, mirrored.runs.included = TRUE)
s.d2 <- splitSafiDesign(s.d ,list(c(0.5),c(0.25,0.75), c(0.25,0.5,0.75)))
s.m <- safiModel(s.d2, y= seq(from = 0.1, to = 1.8, by=0.1))
plot(s.m)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
